# -*-coding:utf-8 -*- #
# --------------------------------------------------------------------------
# ProjectName: protest
# FileName: read_json.py
# Author: xiao tian
# Datetime: 2025/5/10 10:23
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# --------------------------------------------------------------------------
import json
import os.path

from APIAutoTest_v3test import log_decorator



@log_decorator
def read_json(file_path):
    if isinstance(file_path,str) and os.path.isfile(file_path) and file_path.endswith(".json"):
        with open(file_path,mode="r",encoding="utf-8") as  f:
          return json.load(f)
    else:
        raise FileExistsError("JSON文件的路径")

if __name__ == '__main__':
    print(read_json(r"\software\Python\pro\protest\APIAutoTest_v3test\data_config\laowang\期望数据.json"))


















